
/*
* FLYFISH TECHNOLOGIES Ltd.
* http://www.flyfish-tech.com
*
* FF3x library file
*   Updated: Aug 3, 2015
*
*
* This code is in the Public Domain. Use it at your own risk.
*/


#define CMD_FATALERROR				0x00
#define CMD_ACK						0x0E
#define CMD_UNKNOWN					0x0F

#define CMD_SET_ADDRESS				0x10
#define CMD_GET_ADDRESS				0x11
#define CMD_SET_VENDOR				0x12
#define CMD_GET_VENDOR				0x13
#define CMD_SET_PRODUCT				0x14
#define CMD_GET_PRODUCT				0x15
#define CMD_SET_SERIAL_NUMBER		0x16
#define CMD_GET_SERIAL_NUMBER		0x17

#define CMD_SET_DIGITAL_OUTPUT		0x20
#define CMD_SET_BLOCK_DIGITAL_OUTPUTS	0x30
#define CMD_READ_DIGITAL_INPUT		0x21
#define CMD_READ_BLOCK_DIGITAL_INPUTS	0x31
#define CMD_SET_PWM_OUTPUT			0x22
#define CMD_READ_ANALOG_INPUT		0x23
#define CMD_READ_BLOCK_ANALOG_INPUTS	0x32

#define CMD_CONFIG_SPI_BUS			0x24
#define CMD_WRITE_SPI_BUS			0x25
#define CMD_READ_SPI_BUS			0x26

#define CMD_CONFIG_I2C_BUS			0x27
#define CMD_WRITE_I2C_BUS			0x28
#define CMD_READ_I2C_BUS			0x29

#define CMD_CONFIG_1WIRE_BUS		0x2A
#define CMD_WRITE_1WIRE_BUS			0x2B
#define CMD_READ_1WIRE_BUS			0x2C
#define CMD_RESET_1WIRE_BUS			0x2D
#define CMD_WRITE_BIT_1WIRE_BUS		0x2E
#define CMD_READ_BIT_1WIRE_BUS		0x2F

#define CMD_GET_CHIP_INFO			0x71
